@import "../../../_mixins.scss";

.note-body {
  display: flex;
  flex-direction: column;

  .quill {
    min-height: 345px;
    height: 46vh;
    margin: 0 0 0 0;
  }

  .select-customer-note {
    margin-bottom: 10px;
    .field-section {
      padding: 5px 15px;
    }
  }

  .mention[data-denotation-char="#"]:hover:after {
    content: "Technology  -" attr(data-id);
    padding: 4px 8px;
    color: black;
    background-color: white;
    left: 0;
    top: 100%;
    z-index: 10;
    border: 1px black solid;
    box-shadow: 0 0 3px #ccc;
  }

  .ql-mention-list-container {
    ul {
      list-style-type: none;
    }

    ul.ql-mention-list {
      background: #fff;
      padding: 10px;
      border: 1px SOLID #cccccc;
      max-height: 300px;
      overflow: auto;

      &::-webkit-scrollbar {
        width: 5px;
        height: 5px;
      }

      &::-webkit-scrollbar-track {
        background: none;
        border: none;
      }

      &::-webkit-scrollbar-thumb {
        background: #949292;
        border-radius: 10px;
      }

      &::-webkit-scrollbar-thumb:hover {
        background: var(--primary);
      }
    }

    li.ql-mention-list-item {
      padding: 2px 0 2px 4px;
      min-width: 130px;
    }

    li.ql-mention-list-item.selected {
      background: #0693fd1a;
      font-weight: 600;
    }
  }

  .actions {
    margin: 10px 0 0 0;
  }

  .add-note-customer {
    padding: 0;
  }

  .help-text-setion {
    margin: 43px 0 0px -15px;
    width: max-content;

    .char-field {
      padding: 0 15px 0 0;

      span {
        font-weight: bold;
      }
    }
  }

  .symbols {
    background: #ccc6;
    display: flex;
    padding: 5px 0 5px 5px;
  }

  .outer.input-search {
    min-height: 30px;
    margin: 18px 0 0 0;
    height: var(--input-height);
    width: 35%;
    background: url(../assets/icons/search.png) scroll no-repeat right 10px
      center !important;
  }

  .all-note-header {
    display: flex;
    margin: 0px 0 5px 0;
  }

  .not-found {
    opacity: 0.7;
  }

  .found-border {
    border-color: lightgreen;
    border-width: 2px;
  }

  .customer-filter-input {
    padding-top: 0;
  }
  .hide-notes {
    margin: 18px 0 5px 0;
    left: 10px;
    display: flex;
    align-items: flex-start;
    width: 200px;
  }

  .create-new-stoc {
    margin: 0px 8px -32px auto;
    font-size: var(--font-xxxl);
    font-weight: 600;
    display: flex;
    z-index: 9;

    .create-buttons {
      padding: 0 5px;
      cursor: pointer;
    }

    .heading {
      font-weight: normal;
      font-size: var(--font-l);
      color: #999;
    }
  }
}

.top-bar-header {
  display: flex;
  margin: 0;

  .header-link {
    padding: 10px 40px 10px 40px;
    text-align: center;
    text-transform: uppercase;
    font-weight: bold;
    cursor: pointer;

    &.--active {
      cursor: not-allowed;
      border-bottom: 3px solid var(--primary);
    }
  }
}

.ql-mention-list-container.ql-mention-list-container-bottom {
  z-index: 9;
  background: white;
  border: 1px solid #cccccc8c;
}

.outer__suggestions__list {
  z-index: 99;
}

[data-denotation-char="@"] {
  color: blue;
}

[data-denotation-char="$"] {
  color: red;
}

[data-denotation-char="#"] {
  color: #009688;
}

[data-denotation-char="%"] {
  color: darkgoldenrod;
}

// [data-value*="#ffeb3b"] {
// background: #ffeb3b;
// }
.sales-notes {
  .saving-save {
    color: green;
    text-align: right;
    font-weight: 600;
    padding: 0 25px 0 0px;
  }
}

.mention[data-denotation-char="%"]:hover:after {
  content: "Site -" attr(data-id);
  padding: 4px 8px;
  color: black;
  background-color: white;
  left: 0;
  top: 100%;
  z-index: 10;
  border: 1px black solid;
  box-shadow: 0 0 3px #ccc;
}

.mention[data-denotation-char="@"]:hover:after {
  content: "Customer -" attr(data-id);
  padding: 4px 8px;
  color: black;
  background-color: white;
  left: 0;
  top: 100%;
  z-index: 10;
  border: 1px black solid;
  box-shadow: 0 0 3px #ccc;
}

.mention[data-denotation-char="$"]:hover:after {
  content: "Opportunity -" attr(data-id);
  color: black;
  background-color: white;
  left: 0;
  top: 100%;
  z-index: 10;
  border: 1px black solid;
  box-shadow: 0 0 3px #ccc;
}

.notes-listing {
  .header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 0px 0px 10px 0px;
  }

  .table-container
    .table-container__table
    .ReactTable
    .rt-table
    .rt-thead.-header:first-child {
    padding-left: 0;
  }

  .download-btn {
    padding-left: 5px;
  }

  .icon-btn {
    margin-left: 5px;
  }

  .icons-template {
    img {
      width: 25px;
    }

    img.left {
      margin: 0px 5px 0 15px;
      padding: 1.5px;
    }
  }

  .service-catalog-listing__actions {
    background: white;
    display: flex;
    flex-direction: column;

    .checkbox-holder {
      margin: 25px 10px 12px 15px;
    }

    .field-section {
      max-width: 400px;
      padding: 0;
    }

    .actions-right {
      .btn.square-btn {
        margin: 10px 0;

        img {
          padding-right: 3px;
        }

        &:hover,
        &:active,
        &:focus {
          img {
            filter: invert(75%);
          }
        }
      }
    }

    .row-action {
      display: flex;
      margin: 0 15px 0 15px;

      .left {
        width: 430px;
      }
    }

    .sow-filters {
      display: inline-block;
      padding: 5px 20px;
      overflow: auto;

      .filter {
        background: var(--primary);
        padding: 3px 3px 3px 10px;
        margin: 2px;
        border-radius: 15px;
        display: inline-block;
        color: white;
        flex-direction: row;

        label {
          color: white;
        }

        span {
          min-width: 8px;
          padding: 5px 15px 5px 5px;
          position: relative;
          cursor: pointer;

          &::before,
          &::after {
            display: block;
            content: " ";
            width: 10px;
            height: 2px;
            background: white;
            position: absolute;
            top: 12px;
            right: 4px;
          }

          &::after {
            transform: rotate(45deg);
          }

          &::before {
            transform: rotate(-45deg);
          }
        }
      }
    }
  }

  .icons-template {
    img {
      width: 25px;
    }

    img.left {
      margin: 0px 5px 0 15px;
      padding: 1.5px;
    }
  }
}

.notes-listing__actions {
  padding: 0 10px 0 0;
  background: white;

  .left {
    width: 400px;
  }

  .actions-right {
    .btn.square-btn {
      font-size: var(--font-xs);
      padding: 4px 8px 3px;
      height: 29px;
      margin-left: 15px;
      margin-top: 0;
      img {
        padding-right: 3px;
        width: 20px;
      }
    }
    .all-notes-btn {
      width: 125px;
    }
  }
}

.single-notes {
  width: 75%;
  padding: 10px;
}

.note-details {
  width: 25%;
  padding: 5px;

  .box {
    padding: 5px 0 0 0;
  }
}

.note-section-single {
  border: 1px dashed #ccc;
  margin: 10px 0 0px 0;
  display: flex;
  justify-content: space-between;

  .description {
    padding: 10px;
  }

  pre {
    max-width: 90%;
  }
}

.count-matching {
  font-weight: bold;
  padding: 0px 0 5px 0;
}

.outer__suggestions {
  background: #fff;
  padding: 10px;
  border: 1px SOLID #cccccc;
  max-height: 300px;
  overflow: auto;

  &::-webkit-scrollbar {
    width: 5px;
    height: 5px;
  }

  &::-webkit-scrollbar-track {
    background: none;
    border: none;
  }

  &::-webkit-scrollbar-thumb {
    background: #949292;
    border-radius: 10px;
  }

  &::-webkit-scrollbar-thumb:hover {
    background: var(--primary);
  }
}

.outer__suggestions__item--focused {
  background: var(--primary);
  font-weight: 700;
}

.notes-details {
  .open-new-tab {
    float: right;
    margin: -5px 0px;
  }
}

.notes-filters-listing {
  padding: 5px 20px;
  background: white;

  .section-show-filters {
    display: flex;
    padding: 2px 0px 0px 0;
    align-items: center;
  }

  label {
    padding: 2px 5px 0 0px;
  }

  .Select-menu-outer {
    display: none;
  }

  .Select .Select-control {
    border: 0 !important;
  }

  .Select-arrow {
    display: none;
  }

  .Select-control > *:last-child {
    display: none;
  }

  .Select-multi-value-wrapper {
    padding-right: 5px;
  }
}

.notes-detail-container {
  .body {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    word-break: break-word;
  }

  .field {
    width: 30%;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    margin: 10px 0;
    padding: 5px 20px;

    .heading {
      color: #9a9a9a;
      text-transform: uppercase;
    }
  }

  .social_link {
    word-break: break-all;
  }
}
